var _a;
import "@nativescript/macos-node-api";
import { openFileDialog } from "../../dialogs/file/file-dialog.js";
import { NativeButton } from "../button/native-button.js";
import { Event } from "../../dom/dom-utils.js";
export class FileChosenEvent extends Event {
    constructor(paths, eventDict) {
        super("fileChosen", eventDict);
        this.paths = paths;
    }
}
export class NativeFileOpenButton extends NativeButton {
    static initWithOwner(owner) {
        const button = _a.new();
        button._owner = owner;
        return button;
    }
    clicked(_id) {
        const owner = this._owner?.deref();
        if (owner) {
            openFileDialog(owner.options || {})
                .then((result) => {
                owner.dispatchEvent(new FileChosenEvent(result));
            })
                .catch((err) => {
                console.error(err);
            });
        }
    }
}
_a = NativeFileOpenButton;
NativeFileOpenButton.ObjCExposedMethods = {
    clicked: { returns: interop.types.void, params: [interop.types.id] },
};
(() => {
    NativeClass(_a);
})();
//# sourceMappingURL=native-fileopenbutton.js.map